namespace AsteroidGame.Interfaces
{
    public interface IPowerSystem
    {
        public bool IsPowerGenerator { get; }
        
        public bool IsPowerConsumer { get; }
        
        public void SetMaxPower(int newValue);

        public int GetMaxPower();

        public int GetCurrentPower();

        public float GetPowerFactor();
    }
}
